<?php 
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Ext-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/


// no direct access
defined('_JEXEC') or die;
jimport('joomla.application.module.helper');
$document 			= JFactory::getDocument();	
$load_render		= $document->loadRenderer('modules');
$moduleclass_sfx	= $params->get('moduleclass_sfx');
$ext_mootools		= $params->get('ext_mootools', 0);
$ext_id				= $params->get('ext_id', 1);
if ($ext_mootools > 0) {
	$document->addScript(JURI::base() . 'media/system/js/mootools-core.js');
	$document->addScript(JURI::base() . 'media/system/js/mootools-more.js');
}
$document->addStyleSheet(JURI::base() . 'modules/mod_ext_tabs/css/default.css');
$document->addScript(JURI::base() . 'modules/mod_ext_tabs/js/tabPane.min.js');
// array params
$names = array('ext_title', 'ext_position');
$max = 10;
foreach($names as $name) {
    ${$name} = array();
    for($i = 1; $i <= $max; ++$i)
        ${$name}[] = $params->get($name . $i);
}	
require JModuleHelper::getLayoutPath('mod_ext_tabs', $params->get('layout', 'default'));	
?>