<?php
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Ext-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die;
$document->addCustomTag(
"<script type = 'text/javascript'>
document.addEvent('domready', function(){
	var ExttabPane_$ext_id = new ExtTabPane('ext_tabs_$ext_id');    
	$('ext_tabs_$ext_id').addEvent('click:relay(.ext_remove_$ext_id)', function(e) {
		new Event(e).stop();
		var parent = e.target.getParent('.ext_tab_$ext_id');
		tabPane.closeTab(parent);
	});
});
</script>"
);
?>
<div class="mod_ext_tabs <?php echo $moduleclass_sfx; ?>">
	<div id="ext_tabs_<?php echo $ext_id;?>">
		<ul class="ext_tabs_<?php echo $ext_id;?> style_tabs">
		<?php	
		for($n=0;$n < count($ext_title);$n++) {			
			 if( $ext_title[$n] != '') {
				echo '<li class="ext_tab_'.$ext_id.' style_tab">'.$ext_title[$n].'</li>';
			}
		}	
		?>		
		</ul>
		<?php
		for($n=0;$n < count($ext_position);$n++) {			
			 if( $ext_position[$n] != '' AND $ext_title[$n] != '') {						
				echo '<div class="ext_tabs_content_'.$ext_id.' style_tabs_content">'.$load_render->render($ext_position[$n]).'</div>';
			}
		}
		?>
	</div>
	<div style="clear:both;"></div>
</div>



